Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.schemamatching
Class EditDistanceMatcher

    java.lang.Object
      edu.udo.cs.miningmart.schemamatching.MmSchemaMatcher
          edu.udo.cs.miningmart.schemamatching.NameAndTypeBasedSchemaMatcher
              edu.udo.cs.miningmart.schemamatching.EditDistanceMatcher

    public class EditDistanceMatcher

extends NameAndTypeBasedSchemaMatcher

A simple matcher based on the edit distance between two strings.

Version:
  $Id: EditDistanceMatcher.java,v 1.5 2006/09/27 15:00:03 euler Exp $
Author:
  Timm Euler

Field Summary

Fields inherited from class edu.udo.cs.miningmart.schemamatching.MmSchemaMatcher
`THRESHOLD`

Constructor Summary
`EditDistanceMatcher()`

Method Summary
`int` | `getLevenshteinDistance(java.lang.String s, java.lang.String t)` This method was implemented by Markus Wagner.
`double` | `getNameSimilarity(java.lang.String str1, java.lang.String str2)` Returns the double value that this matcher considers as the similarity between the two given Strings.

Methods inherited from class edu.udo.cs.miningmart.schemamatching.NameAndTypeBasedSchemaMatcher
`getDirectSimilarity, getDirectSimilarity, getSimilarityInvolvingConcepts, getStringSimilarity`

Methods inherited from class edu.udo.cs.miningmart.schemamatching.MmSchemaMatcher
`getDatatypeSimilarity, getGlobalSimilarity, getSimilarity, getSimilarity, getSimilarityMatrix, getSimilarityMatrix, getSimilarMatchingsGreedy, objectsAreSimilar`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditDistanceMatcher

    public EditDistanceMatcher()

Method Detail

### getNameSimilarity

    public double getNameSimilarity(java.lang.String str1,
                                    java.lang.String str2)
                             throws SchemaMatchException

  Description copied from class: `MmSchemaMatcher`
  Returns the double value that this matcher considers as the similarity between the two given Strings.

  Specified by:
    `getNameSimilarity` in class `MmSchemaMatcher`
  Parameters:
    `str1` - One String
    `str2` - Another String
  Returns:
    a similarity value
  Throws:
    `SchemaMatchException`
  See Also:
    `MmSchemaMatcher.getNameSimilarity(String, String)`

### getLevenshteinDistance

    public int getLevenshteinDistance(java.lang.String s,
                                      java.lang.String t)

  This method was implemented by Markus Wagner. It computes the Levenshtein distance between the two given Strings.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005